#ifndef PHASEDISP_H
#define PHASEDISP_H

#include <QImage>
#include <deque>

using namespace std;

class phasedisp
{
  public:
    phasedisp();
    ~phasedisp();
    QImage * image;
    QImage * plot;
    int x;
    int y;
    void update_vec(double u_val, double v_val);
    void update_image();
    void inicond();
    void update_plot();
    void change_point(int xp, int yp);
	int imgx;
	int imgy;
    int imgh;
	int imgw;

  private:
	
    deque<double> u_vec;
    deque<double> v_vec;
    int plot_height;
    int plot_width;
};

#endif
